Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader.impl
Class JPEGFile

    java.lang.Object
      org.apache.xmlgraphics.image.loader.impl.JPEGFile

All Implemented Interfaces:
  JPEGConstants

    public class JPEGFile

extends Object
implements JPEGConstants

Provides methods useful for processing JPEG files.

Field Summary
`protected static org.apache.commons.logging.Log` | `log` logger

Fields inherited from interface org.apache.xmlgraphics.image.loader.impl.JPEGConstants
`APP0, APP1, APP2, APPD, APPE, APPF, EOI, MARK, NULL, SOF0, SOF1, SOF2, SOFA, SOI, SOS`

Constructor Summary
`JPEGFile(ImageInputStream in)` Constructor for ImageInputStreams.
`JPEGFile(InputStream in)` Constructor for InputStreams.

Method Summary
`DataInput` | `getDataInput()` Returns the `DataInput` instance this object operates on.
`int` | `readMarkerSegment()` Reads the next marker segment identifier and returns it.
`int` | `readSegmentLength()` Reads the segment length of the current marker segment and returns it.
`void` | `skipCurrentMarkerSegment()` Skips the current marker segment.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static final org.apache.commons.logging.Log log

  logger

Constructor Detail

### JPEGFile

    public JPEGFile(ImageInputStream in)

  Constructor for ImageInputStreams.

  Parameters:
    `in` - the input stream to read the image from

### JPEGFile

    public JPEGFile(InputStream in)

  Constructor for InputStreams.

  Parameters:
    `in` - the input stream to read the image from

Method Detail

### getDataInput

    public DataInput getDataInput()

  Returns the `DataInput` instance this object operates on.

  Returns:
    the data input instance

### readMarkerSegment

    public int readMarkerSegment()
                          throws IOException

  Reads the next marker segment identifier and returns it.

  Returns:
    the marker segment identifier
  Throws:
    `IOException` - if an I/O error occurs while reading from the image file

### readSegmentLength

    public int readSegmentLength()
                          throws IOException

  Reads the segment length of the current marker segment and returns it. The method assumes the file cursor is right after the segment header.

  Returns:
    the segment length
  Throws:
    `IOException` - if an I/O error occurs while reading from the image file

### skipCurrentMarkerSegment

    public void skipCurrentMarkerSegment()
                                  throws IOException

  Skips the current marker segment. The method assumes the file cursor is right after the segment header.

  Throws:
    `IOException` - if an I/O error occurs while reading from the image file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.